Time off & holidays

Get Hris Org Time Offs

Cursor-paginated org time-off list with filters, search, sorting and annual balance per employee.

POSThttps://api.toku.com/hris/get-hris-org-time-offs

Required scope: time:read

curl --request POST \
  --url 'https://api.toku.com/hris/get-hris-org-time-offs' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "status": "REQUESTED",
  "leaveType": "ANNUAL_LEAVE",
  "countryCode": "ABW",
  "department": "string",
  "startDateFrom": "string",
  "startDateTo": "string",
  "search": "string",
  "sortBy": "createdAt",
  "sortOrder": "asc",
  "cursor": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "limit": 0,
  "summaryOnly": true
}'
200 response
{
  "items": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "hrisTimeOffID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "startDate": "2026-01-01",
      "endDate": "2026-01-01",
      "days": 0,
      "status": "REQUESTED",
      "leaveType": "string",
      "customLeaveTypeID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "note": "string",
      "customLeaveTypeName": "string",
      "createdAt": "2026-01-01T00:00:00Z",
      "employeeName": "string",
      "employeeEmail": "string",
      "department": "string",
      "roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "country": "string",
      "countryCode": "string",
      "balanceUsed": 0,
      "balanceTotal": 0
    }
  ],
  "totalCount": 0,
  "nextCursor": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "hasNextPage": true
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

statusstring | string[]
leaveTypestring | string[]
countryCodestring

Available options: ABW, AFG, AGO, AIA, ALA, ALB, AND, ARE, ARG, ARM, ASM, ATA, ATF, ATG, AUS, AUT, AZE, BDI, BEL, BEN, BES, BFA, BGD, BGR, BHR, BHS, BIH, BLR, BLZ, BMU, BOL, BRA, BRB, BRN, BTN, BVT, BWA, CAF, CAN, CCK, CHE, CHL, CHN, CIV, CMR, COD, COG, COK, COL, COM, CPV, CRI, CUB, CUW, CXR, CYM, CYP, CZE, DEU, DJI, DMA, DNK, DOM, DZA, ECU, EGY, ERI, ESH, ESP, EST, ETH, FIN, FJI, FLK, FRA, FRO, FSM, GAB, GBR, GEO, GGY, GHA, GIB, GIN, GLP, GMB, GNB, GNQ, GRC, GRD, GRL, GTM, GUF, GUM, GUY, HKG, HMD, HND, HRV, HTI, HUN, IDN, IMN, IND, IOT, IRL, IRN, IRQ, ISL, ISR, ITA, JAM, JEY, JOR, JPN, KAZ, KEN, KGZ, KHM, KIR, KNA, KOR, KWT, LAO, LBN, LBR, LBY, LCA, LIE, LKA, LSO, LTU, LUX, LVA, MAC, MAF, MAR, MCO, MDA, MDG, MDV, MEX, MHL, MKD, MLI, MLT, MMR, MNE, MNG, MNP, MOZ, MRT, MSR, MTQ, MUS, MWI, MYS, MYT, NAM, NCL, NER, NFK, NGA, NIC, NIU, NLD, NOR, NPL, NRU, NZL, OMN, PAK, PAN, PCN, PER, PHL, PLW, PNG, POL, PRI, PRK, PRT, PRY, PSE, PYF, QAT, REU, ROU, RUS, RWA, SAU, SDN, SEN, SGP, SGS, SHN, SJM, SLB, SLE, SLV, SMR, SOM, SPM, SRB, SSD, STP, SUR, SVK, SVN, SWE, SWZ, SXM, SYC, SYR, TCA, TCD, TGO, THA, TJK, TKL, TKM, TLS, TON, TTO, TUN, TUR, TUV, TWN, TZA, UGA, UKR, UMI, URY, USA, UZB, VAT, VCT, VEN, VGB, VIR, VNM, VUT, WLF, WSM, YEM, ZAF, ZMB, ZWE

departmentstring
startDateFromstring

Allowed: matches ^\d{4}-\d{2}-\d{2}$

startDateTostring

Allowed: matches ^\d{4}-\d{2}-\d{2}$

searchstring

Allowed: at most 200 characters

sortBystring

Available options: createdAt, startDate, endDate, status

sortOrderstring

Available options: asc, desc

cursorstring<uuid>
limitinteger

Allowed: 1 to 200

summaryOnlyboolean

Response

200Successful response
itemsobject[]required
Show child attributes
idstring<uuid>required
hrisTimeOffIDstring<uuid>required
startDatestring<date>required
endDatestring<date>required
daysnumberrequired
statusstringrequired

Available options: REQUESTED, APPROVED, REJECTED, CANCELLED

leaveTypestringrequired
customLeaveTypeIDstring | null<uuid>required
notestring | nullrequired
dataanyrequired
customLeaveTypeNamestring | nullrequired
createdAtstring<date-time>required
employeeNamestringrequired
employeeEmailstring | nullrequired
departmentstring | nullrequired
roleInOrgIDstring<uuid>required
countrystring | nullrequired
countryCodestring | nullrequired
balanceUsednumberrequired
balanceTotalnumber | nullrequired
totalCountintegerrequired
nextCursorstring | null<uuid>required
hasNextPagebooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits